using decePubClient.Models;

namespace decePubClient.Helpers;

public static class Faker
{
	static IReadOnlyList<MessageUser> Users => new List<MessageUser>
	{
		new(),
		new()
		{
			UserId = "7b5703dc-aee8-46b1-aed2-cd06021a1c0c",
			DisplayName = "loweel",
			UserName = "@loweel@bbs.keinpfusch.net",
			PictureUrl = "https://ipfs.keinpfusch.net/ipfs/bafybeiazrrmngqww7mfag76gmcmw6l2nohckuh6yvldbzatkls5yyznxb4?name=Yb7peXARjY3B_A.png",
			BackgroundUrl = "https://ipfs.keinpfusch.net/ipfs/bafkreialv6avp3xykmfc75daevjz4k3chd27eop7o62nznafy46pwjpd2y?name=QBZNoDonJ1HvEw.jpg",
			ProfileUrl = "https://letsrulethe.world/users/AG6rE2nRya826QEJFY"
		},
		new()
		{
			UserId = "bc9c2a2b-fc5f-42fc-b907-ac30203eed45",
			DisplayName = "Valentina Nappi",
			UserName = "@valentina.nappi@mastodon.uno",
			PictureUrl = "https://s-media-cache-ak0.pinimg.com/564x/a0/30/00/a030003d2e506ec9731b8460127d15f9.jpg",
			BackgroundUrl = "https://wallup.net/wp-content/uploads/2016/01/225560-nature-landscape-fall-path-forest-mist-morning-trees-leaves-sunlight.jpg",
			ProfileUrl = "https://mastodon.uno/web/@valenappi@beta.birdsite.live"
		}
	};

	public static MessageUser GetRandomUser()
	{
		return Users[Random.Shared.Next(0, Users.Count)];
	}

	public static BoostingUser GetRandomBoostingUser()
	{
		var user = Users[Random.Shared.Next(0, Users.Count)];
		return new()
		{
			UserId = user.UserId,
			DisplayName = user.DisplayName,
			UserName = user.UserName,
			PictureUrl = user.PictureUrl,
			ProfileUrl = user.ProfileUrl
		};
	}
}